tab_i
Prev | Orchestra Opcodes and Operators | Next

## tab_i

tab_i — Fast table opcodes.

## Description

Fast table opcodes. Faster than table because it does not allow wrap-around and limit. Has been implemented in order to provide fast access to arrays.

## Syntax

    ir tab_i indx, ifn[, ixmode]

## Initialization

ifn -- table number

ixmode -- defaults to zero. If zero indx range matches the length of the table; if non zero indx has a 0 to 1 range.

indx -- table index

## Performance

indx -- table index.

tab_i opcode is similar to table but are faster, and use rounding of the index.

## See Also

tab, tabw, tabw_i

## Credits

Written by Gabriel Maldonado.

Prev | Up | Next
tab | Home | tabw